/* GRController */

#import <Cocoa/Cocoa.h>

@interface GRController : NSObject
{
    IBOutlet NSTextField *authorField;
    IBOutlet NSView *authorView;
    IBOutlet NSTextView *contentTextView;
    IBOutlet NSProgressIndicator *progress;
    IBOutlet NSTableView *resultsTableView;
    IBOutlet NSBox *searchBox;
    IBOutlet NSTextField *titleField;
    IBOutlet NSView *titleView;
    IBOutlet NSWindow *window;
    
	/*
    NSMutableArray *entries, *titles, *authors;
	SpeechChannel fCurSpeechChannel;
	*/
}
- (IBAction)search:(id)sender;
- (IBAction)speak:(id)sender;

- (id)init;
- (void)dealloc;

- (void)resize;
- (void)awakeFromNib;
- (void)displaySelectedRow;

- (int)numberOfRowsInTableView:(NSTableView *)aTableView;
- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex;

+ (NSString *)encode:(NSString *)string;
+ (int)indexOf:(NSString *)string within:(NSString *)content withRange:(NSRange)searchRange;
+ (NSString *)readFrom:(int)location untilString:(NSString *)string within:(NSString *)content remaining:(NSRangePointer)range;
@end
